<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bottom_sheet_search_map"
    android:layout_width="match_parent"
    android:layout_height="350dp"
    android:background="@android:color/transparent"
    android:orientation="vertical"
    app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

    <ImageView
        android:id="@+id/btn_direction"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_alignParentEnd="true"
        android:layout_marginEnd="@dimen/default_screen_padding"
        android:layout_marginBottom="5dp"
        android:contentDescription="@string/app_name"
        android:src="@drawable/ic_map_direction"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/btn_current_location"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_below="@+id/btn_direction"
        android:layout_alignParentEnd="true"
        android:layout_marginEnd="@dimen/default_screen_padding"
        android:layout_marginBottom="@dimen/default_screen_padding"
        android:baselineAlignBottom="true"
        android:contentDescription="@string/app_name"
        android:src="@drawable/ic_map_current_location" />

    <RelativeLayout
        android:id="@+id/layout_view_search"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/btn_current_location">

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="20dp"
            android:background="#d1ededee" />

        <View
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_marginTop="20dp"
            android:background="@color/colorPrimary" />

        <RelativeLayout
            android:id="@+id/layout_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.seatel.mobilehall.util.customview.CustomEditText
                android:id="@+id/et_search_shop"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginStart="@dimen/default_screen_padding"
                android:layout_marginEnd="@dimen/default_screen_padding"
                android:background="@drawable/bg_search_map"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:hint="@string/find_yes_hub_here"
                android:imeOptions="actionDone"
                android:inputType="textNoSuggestions|textVisiblePassword"
                android:paddingStart="10dp"
                android:paddingEnd="40dp"
                android:textSize="@dimen/default_text_size" />

            <ImageView
                android:id="@+id/icon_search"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="25dp"
                android:contentDescription="@string/app_name"
                android:src="@drawable/ic_search_map" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view_shop_search"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/layout_search"
            android:layout_marginStart="@dimen/default_screen_padding"
            android:layout_marginEnd="@dimen/default_screen_padding"
            android:paddingTop="10dp" />
    </RelativeLayout>


</RelativeLayout>